em {bnstruct} | R Documentation

## expectation-maximization algorithm.

### Description

Learn parameters of a network using the Expectation-Maximization algorithm.

### Usage

    em(x, dataset, threshold = 0.001, max.em.iterations = 10, ess = 1)

    ## S4 method for signature 'InferenceEngine,BNDataset'
    em(x, dataset, threshold = 0.001,
      max.em.iterations = 10, ess = 1)

### Arguments

`x` | an `InferenceEngine`.
`dataset` | observed dataset with missing values for the Bayesian Network of `x`.
`threshold` | threshold for convergence, used as stopping criterion.
`max.em.iterations` | maximum number of iterations to run in case of no convergence.
`ess` | Equivalent Sample Size value.

### Value

a list containing: an `InferenceEngine` with a new updated network (`"InferenceEngine"`), and the imputed dataset (`"BNDataset"`).

### Examples

    ## Not run:
    em(x, dataset)

    ## End(Not run)

[Package bnstruct version 1.0.6 Index]